#!/bin/sh

# Upstream man pages are UTF-8encoded.
# The man pages need to be recoded according to the encodings used in Debian.
# (defined in src/encodings.c in man-db)

#Deactivated iconv processing for the Korean pages. Please refer to #349938.
#     ko    EUC-KR
echo "ja    EUC-JP
      ru    KOI8-R" |
while read lang encoding
do
    echo "recoding lang: $lang to $encoding"
    for page in debian/tmp/usr/share/man/$lang/man[1-8]/*
    do
	echo "recoding $page"
	iconv -t $encoding -f UTF8 < $page > $page.recoded
	mv $page.recoded $page
    done
done

# Please refer to #349938, again. Thanks to Nekral.
#
# I think I understand what happened.
# A bug was filled against rpm
# (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=106050) to request
# the change of encodings of the Japanese and Korean man pages from
# respectively the EUC-JP and EUC-KR encodings to UTF-8.
# But all the pages were converted assuming the original encodings was EUC-JP.
# 
# so "iconv -f UTF-8 -t EUC-JP < rpm.8 > rpm.8.recoded"
# give the right man page (the same pages sent by Sunjae Parkin), in EUC-KR.
# 
# A bug should be filled against the Redhat rpm package. They should
# recode the Korean pages with:
# cat rpm.8 | iconv -f UTF-8 -t EUC-JP | \
#             iconv -f EUC-KR -t UTF-8 > rpm.8.recoded && \
#             mv rpm.8.recoded rpm.8
# (the same with rpm2cpio)

echo "recoding lang: ko to EUC-JP"
for page in debian/tmp/usr/share/man/ko/man[1-8]/*
do
    echo "recoding $page"
    iconv -f UTF-8 -t EUC-JP < $page > $page.recoded
    mv $page.recoded $page
done
